/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package common;

import java.util.ArrayList;

/**
 *
 * @author EUGENIO CARVALHO
 */
public class DataEntry {

    protected Long size = 0L;
    protected Long Address = 0L;
    protected ArrayList<Integer> values = new ArrayList<>();

    DataEntry(Long size) {
        this.size = size;
    }

    public Long getAddress() {
        return Address;
    }

    public void SetAddress(Long Address) {
        this.Address = Address;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public ArrayList<Integer> getValues() {
        return values;
    }

    public void setValues(ArrayList<Integer> values) {
        this.values = values;
    }

    @Override
    public String toString() {
        return "Size: " + size + " Address: " + Address;
    }

}
